XmlWriter (Java Platform SE 8 )
Keywords: javax.sql.rowset.spi.XmlWriter interface
Date: 2026-04-17

compact3
javax.sql.rowset.spi

## Interface XmlWriter

- All Superinterfaces:
    RowSetWriter

      public interface XmlWriter
      extends RowSetWriter

  A specialized interface that facilitates an extension of the `SyncProvider` abstract class for XML orientated synchronization providers.

  `SyncProvider` implementations that supply XML data writer capabilities such as output XML stream capabilities can implement this interface to provide standard `XmlWriter` objects to `WebRowSet` implementations.

  Writing a `WebRowSet` object includes printing the rowset's data, metadata, and properties, all with the appropriate XML tags.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeXML(WebRowSet caller, Writer writer)` Writes the given `WebRowSet` object to the specified `java.io.Writer` output stream as an XML document.

    - ### Methods inherited from interface javax.sql.RowSetWriter

      `writeData`

- - ### Method Detail

    - #### writeXML

          void writeXML(WebRowSet caller,
                        Writer writer)
                 throws SQLException

      Writes the given `WebRowSet` object to the specified `java.io.Writer` output stream as an XML document. This document includes the rowset's data, metadata, and properties plus the appropriate XML tags.

      The `caller` parameter must be a `WebRowSet` object whose `XmlWriter` field contains a reference to this `XmlWriter` object.

      Parameters:
        `caller` - the `WebRowSet` instance to be written, for which this `XmlWriter` object is the writer
        `writer` - the `java.io.Writer` object that serves as the output stream for writing `caller` as an XML document
      Throws:
        `SQLException` - if a database access error occurs or this `XmlWriter` object is not the writer for the given `WebRowSet` object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.